## com.saxonica.stream.feed
Class FilterExpressionFeed

    java.lang.Object
      com.saxonica.stream.feed.ItemFeed
          com.saxonica.stream.feed.FilterExpressionFeed

All Implemented Interfaces:
  Feed

    public class FilterExpressionFeed

extends ItemFeed

This class is used when a streaming template requests filtering of items that don't come directly from the streamed document, but rather are constructed in the course of the push pipeline

Constructor Summary
`FilterExpressionFeed(Expression expr, Feed result, Stack<XPathContext> contextStack)`

Method Summary
`void` `append(Item item)` Supply an item to the feed

Methods inherited from class com.saxonica.stream.feed.ItemFeed
`close, getContext, getContextStack, getExpression, getPipelineConfiguration, getResult, open, setPipelineConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterExpressionFeed

    public FilterExpressionFeed(Expression expr,
                                Feed result,
                                Stack<XPathContext> contextStack)

Method Detail

### append

    public void append(Item item)
                throws XPathException

  Supply an item to the feed

  Specified by:
    `append` in interface `Feed`
  Specified by:
    `append` in class `ItemFeed`
  Parameters:
    `item` - the item being fed
  Throws:
    `XPathException` - to report any failure

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.